* {
    margin:0;
    padding:0;
}
:root {
/*
   --col-bg: #ffe4d4;
   --col-main: #8a4126;
   --col-text: #3e1c10;
   --col-underline: rgb(222, 113, 73);
*/

   --col-btn-hover: #e0e0d3;
   --col-btn: #e1e1db;
   --col-bg: #eeeee2;
   --col-main: #f5424a;
   --col-text: #313b4b;
   --col-underline: rgb(77, 77, 77);
}

[data-theme="dark"] {
  --col-btn: #372f40;
  --col-btn-hover: #564966;
  --col-bg: #27222d;
  --col-main: #f5ebbf;
  --col-text: #baab91;
  --col-underline: #e2cbff;
}
body {
    background:var(--col-bg);
    color:var(--col-main);

    font-family: Segoe UI, "Microsoft Sans Serif", sans-serif;
    font-size: 1.2em;
}
h1 {
    line-height: 1.9em;
    font-weight:400;
}
h3 {
    font-size: 1.9em;
}
h4 {
    font-size: 1.3em;
    font-weight:400;
    line-height: 1.8em;
}
h5 {
    font-size: 0.9em;
    font-weight:400;
    padding: 0.4em 0 0 0;
}
.title-text {
    line-height:2em;
}
p {
    padding: 0.4em 0 0.4em 0;
    color: var(--col-text);
}
.event-container {
    padding: 3rem;
}
.underline {
    border-bottom-color: var(--col-underline);
    border-bottom-style: solid;
    border-bottom-width: 0.8px;
}
.c-event-field-table {
    columns: 2;
    list-style-type: none;
}
.c-page {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 1rem 1rem 1rem;
}
.c-navbar {
    display:flex;
    align-items: center;
    justify-content: space-between;
}
.c-detail-header {
    margin-bottom: 1em;
}
.navbar-list {
    justify-content: flex-end;
    list-style: none;
    flex-wrap: wrap;
    flex: 0 1 auto;
    display: flex;
    gap: 24px;
    align-items: center;
}
.navbar-item {
    color: var(--col-text)
}
.navbar-form-search {
  display: flex;
  align-items: center;
}
.navbar-form-search-input {
    padding: 4px 8px;
    border: 1px solid var(--col-btn);
    border-radius: 4px;
}
.navbar-form-search-btn {
    padding: 4px 8px;
    border: 1px solid var(--col-btn);
    background-color: var(--col-btn);
    color: var(--col-text);
    border-radius: 4px;
    margin-left: 8px;
}
/* Responsive styles */
@media (max-width: 400px) {
    .c-navbar {
        flex-direction: column;
        align-items: flex-start;
    }
}
.input-search {
  font-size: 1.2em;
  color: var(--col-text);
}
.btn-text {
    color: var(--col-text);
    font-size:1.2em;
}
.navbar-item-title {
    text-decoration: none;
    color: var(--col-main);
}
.truncate {
  min-width: 200px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.truncate-2 {
  text-overflow: ellipsis;
}
.text-strikeout {
  text-decoration: line-through;
}
.grid-container {
    display: grid;
    grid-template-columns: none;
    gap: 5px;
    padding: 20px;
}
.grid-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 5px;
    background-color: var(--col-btn);
    text-decoration: none;
    color: var(--col-text);
}
.grid-item:hover {
    background-color: var(--col-btn-hover);
}
.grid-item-text {
    display: flex;
    flex-direction: column;
}
.col-main {
  color: var(--col-main);
}

/* MAP detail */
.leaflet-container {
    height: 400px;
    width: 600px;
    max-width: 100%;
    max-height: 100%;
    margin-top: 15px;
}
